Index: eclaireXL/serial_loader/serial_loader.bsf
===================================================================
--- eclaireXL/serial_loader/serial_loader.bsf	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader.bsf	(revision 404)
@@ -0,0 +1,49 @@
+/*
+WARNING: Do NOT edit the input and output ports in this file in a text
+editor if you plan to continue editing the block that represents it in
+the Block Editor! File corruption is VERY likely to occur.
+*/
+/*
+Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
+Your use of Altera Corporation's design tools, logic functions 
+and other software and tools, and its AMPP partner logic 
+functions, and any output files from any of the foregoing 
+(including device programming or simulation files), and any 
+associated documentation or information are expressly subject 
+to the terms and conditions of the Altera Program License 
+Subscription Agreement, the Altera Quartus II License Agreement,
+the Altera MegaCore Function License Agreement, or other 
+applicable license agreement, including, without limitation, 
+that your use is for the sole purpose of programming logic 
+devices manufactured by Altera and sold by Altera or its 
+authorized distributors.  Please refer to the applicable 
+agreement for further details.
+*/
+(header "symbol" (version "1.1"))
+(symbol
+	(rect 0 0 128 104)
+	(text "serial_loader" (rect 27 -1 76 11)(font "Arial" (font_size 10)))
+	(text "inst" (rect 8 88 20 100)(font "Arial" ))
+	(port
+		(pt 0 72)
+		(input)
+		(text "noe_in" (rect 0 0 25 12)(font "Arial" (font_size 8)))
+		(text "noe_in" (rect 4 61 40 72)(font "Arial" (font_size 8)))
+		(line (pt 0 72)(pt 48 72)(line_width 1))
+	)
+	(drawing
+		(text "noe_in" (rect 10 43 56 99)(font "Arial" (color 128 0 0)(font_size 9)))
+		(text "noe" (rect 53 67 124 144)(font "Arial" (color 0 0 0)))
+		(text " serial_loader " (rect 70 88 230 186)(font "Arial" ))
+		(line (pt 48 32)(pt 80 32)(line_width 1))
+		(line (pt 80 32)(pt 80 88)(line_width 1))
+		(line (pt 48 88)(pt 80 88)(line_width 1))
+		(line (pt 48 32)(pt 48 88)(line_width 1))
+		(line (pt 49 52)(pt 49 76)(line_width 1))
+		(line (pt 50 52)(pt 50 76)(line_width 1))
+		(line (pt 0 0)(pt 128 0)(line_width 1))
+		(line (pt 128 0)(pt 128 104)(line_width 1))
+		(line (pt 0 104)(pt 128 104)(line_width 1))
+		(line (pt 0 0)(pt 0 104)(line_width 1))
+	)
+)

Property changes on: eclaireXL/serial_loader/serial_loader.bsf
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader.cmp
===================================================================
--- eclaireXL/serial_loader/serial_loader.cmp	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader.cmp	(revision 404)
@@ -0,0 +1,6 @@
+	component serial_loader is
+		port (
+			noe_in : in std_logic := 'X'  -- noe
+		);
+	end component serial_loader;
+

Property changes on: eclaireXL/serial_loader/serial_loader.cmp
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader.html
===================================================================
--- eclaireXL/serial_loader/serial_loader.html	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader.html	(revision 404)
@@ -0,0 +1,157 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+
+<html xmlns="http://www.w3.org/1999/xhtml">
+ <head>
+  <title>datasheet for serial_loader</title>
+  <style type="text/css">
+body { font-family:arial ;}
+a { text-decoration:underline ; color:#003000 ;}
+a:hover { text-decoration:underline ; color:0030f0 ;}
+td { padding : 5px ;}
+table.topTitle { width:100% ;}
+table.topTitle td.l { text-align:left ; font-weight: bold ; font-size:30px ;}
+table.topTitle td.r { text-align:right ; font-weight: bold ; font-size:16px ;}
+table.blueBar { width : 100% ; border-spacing : 0px ;}
+table.blueBar td { background:#0036ff ; font-size:12px ; color : white ; text-align : left ; font-weight : bold ;}
+table.blueBar td.l { text-align : left ;}
+table.blueBar td.r { text-align : right ;}
+table.items { width:100% ; border-collapse:collapse ;}
+table.items td.label { font-weight:bold ; font-size:16px ; vertical-align:top ;}
+table.items td.mono { font-family:courier ; font-size:12px ; white-space:pre ;}
+div.label { font-weight:bold ; font-size:16px ; vertical-align:top ; text-align:center ;}
+table.grid { border-collapse:collapse ;}
+table.grid td { border:1px solid #bbb ; font-size:12px ;}
+body { font-family:arial ;}
+table.x { font-family:courier ; border-collapse:collapse ; padding:2px ;}
+table.x td { border:1px solid #bbb ;}
+td.tableTitle { font-weight:bold ; text-align:center ;}
+table.grid { border-collapse:collapse ;}
+table.grid td { border:1px solid #bbb ;}
+table.grid td.tableTitle { font-weight:bold ; text-align:center ;}
+table.mmap { border-collapse:collapse ; text-size:11px ; border:1px solid #d8d8d8 ;}
+table.mmap td { border-color:#d8d8d8 ; border-width:1px ; border-style:solid ;}
+table.mmap td.empty { border-style:none ; background-color:#f0f0f0 ;}
+table.mmap td.slavemodule { text-align:left ; font-size:11px ; border-style:solid solid none solid ;}
+table.mmap td.slavem { text-align:right ; font-size:9px ; font-style:italic ; border-style:none solid none solid ;}
+table.mmap td.slaveb { text-align:right ; font-size:9px ; font-style:italic ; border-style:none solid solid solid ;}
+table.mmap td.mastermodule { text-align:center ; font-size:11px ; border-style:solid solid none solid ;}
+table.mmap td.masterlr { text-align:center ; font-size:9px ; font-style:italic ; border-style:none solid solid solid ;}
+table.mmap td.masterl { text-align:center ; font-size:9px ; font-style:italic ; border-style:none none solid solid ;}
+table.mmap td.masterm { text-align:center ; font-size:9px ; font-style:italic ; border-style:none none solid none ;}
+table.mmap td.masterr { text-align:center ; font-size:9px ; font-style:italic ; border-style:none solid solid none ;}
+table.mmap td.addr { font-family:courier ; font-size:9px ; text-align:right ;}
+table.connectionboxes { border-collapse:separate ; border-spacing:0px ; font-family:arial ;}
+table.connectionboxes td.from { border-bottom:1px solid black ; font-size:9px ; font-style:italic ; vertical-align:bottom ; text-align:left ;}
+table.connectionboxes td.to { font-size:9px ; font-style:italic ; vertical-align:top ; text-align:right ;}
+table.connectionboxes td.lefthandwire { border-bottom:1px solid black ; font-size:9px ; font-style:italic ; vertical-align:bottom ; text-align:right ;}
+table.connectionboxes td.righthandwire { border-bottom:1px solid black ; font-size:9px ; font-style:italic ; vertical-align:bottom ; text-align:left ;}
+table.connectionboxes td.righthandlabel { font-size:11px ; vertical-align:bottom ; text-align:left ;}
+table.connectionboxes td.neighbor { padding:3px ; border:1px solid black ; font-size: 11px ; background:#e8e8e8 ; vertical-align:center ; text-align:center ;}
+table.connectionboxes td.main { padding:8px ; border:1px solid black ; font-size: 14px ; font-weight:bold ; background:#ffffff ; vertical-align:center ; text-align:center ;}
+.parametersbox { border:1px solid #d0d0d0 ; display:inline-block ; max-height:160px ; overflow:auto ; width:360px ; font-size:10px ;}
+.flowbox { display:inline-block ;}
+.parametersbox table { font-size:10px ;}
+td.parametername { font-style:italic ;}
+td.parametervalue { font-weight:bold ;}
+div.greydiv { vertical-align:top ; text-align:center ; background:#eeeeee ; border-top:1px solid #707070 ; border-bottom:1px solid #707070 ; padding:20px ; margin:20px ; width:auto ;}</style>
+ </head>
+ <body>
+  <table class="topTitle">
+   <tr>
+    <td class="l">serial_loader</td>
+    <td class="r">
+     <br/>
+     <br/>
+    </td>
+   </tr>
+  </table>
+  <table class="blueBar">
+   <tr>
+    <td class="l">2015.08.20.08:19:53</td>
+    <td class="r">Datasheet</td>
+   </tr>
+  </table>
+  <div style="width:100% ;  height:10px"> </div>
+  <div class="label">Overview</div>
+  <div class="greydiv">
+   <div style="display:inline-block ; text-align:left">
+    <table class="connectionboxes">
+     <tr style="height:6px">
+      <td></td>
+     </tr>
+    </table>
+   </div><span style="display:inline-block ; width:28px"> </span>
+   <div style="display:inline-block ; text-align:left"><span>
+     <br/></span>
+   </div>
+  </div>
+  <div style="width:100% ;  height:10px"> </div>
+  <div class="label">Memory Map</div>
+  <table class="mmap">
+   <tr>
+    <td class="empty" rowspan="2"></td>
+   </tr>
+  </table>
+  <a name="module_serial_flash_loader_0"> </a>
+  <div>
+   <hr/>
+   <h2>serial_flash_loader_0</h2>altera_serial_flash_loader v15.0
+   <br/>
+   <br/>
+   <br/>
+   <table class="flowbox">
+    <tr>
+     <td class="parametersbox">
+      <h2>Parameters</h2>
+      <table>
+       <tr>
+        <td class="parametername">INTENDED_DEVICE_FAMILY</td>
+        <td class="parametervalue">CYCLONEV</td>
+       </tr>
+       <tr>
+        <td class="parametername">gui_shared_access</td>
+        <td class="parametervalue">false</td>
+       </tr>
+       <tr>
+        <td class="parametername">ENHANCED_MODE</td>
+        <td class="parametervalue">true</td>
+       </tr>
+       <tr>
+        <td class="parametername">ENABLE_SHARED_ACCESS</td>
+        <td class="parametervalue">OFF</td>
+       </tr>
+       <tr>
+        <td class="parametername">ENABLE_QUAD_SPI_SUPPORT</td>
+        <td class="parametervalue">true</td>
+       </tr>
+       <tr>
+        <td class="parametername">NCSO_WIDTH</td>
+        <td class="parametervalue">1</td>
+       </tr>
+       <tr>
+        <td class="parametername">deviceFamily</td>
+        <td class="parametervalue">UNKNOWN</td>
+       </tr>
+       <tr>
+        <td class="parametername">generateLegacySim</td>
+        <td class="parametervalue">false</td>
+       </tr>
+      </table>
+     </td>
+    </tr>
+   </table>&#160;&#160;
+   <table class="flowbox">
+    <tr>
+     <td class="parametersbox">
+      <h2>Software Assignments</h2>(none)</td>
+    </tr>
+   </table>
+  </div>
+  <table class="blueBar">
+   <tr>
+    <td class="l">generation took 0.01 seconds</td>
+    <td class="r">rendering took 0.03 seconds</td>
+   </tr>
+  </table>
+ </body>
+</html>

Property changes on: eclaireXL/serial_loader/serial_loader.html
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader.ppf
===================================================================
--- eclaireXL/serial_loader/serial_loader.ppf	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader.ppf	(revision 404)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<pinplan
+ variation_name="serial_flash_loader_0"
+ megafunction_name="ALTERA_SERIAL_FLASH_LOADER"
+ intended_family="Cyclone V"
+ specifies="all_ports">
+ <global>
+  <pin name="noe_in" direction="input" scope="external" />
+ </global>
+</pinplan>

Property changes on: eclaireXL/serial_loader/serial_loader.ppf
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader.xml
===================================================================
--- eclaireXL/serial_loader/serial_loader.xml	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader.xml	(revision 404)
@@ -0,0 +1,125 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<deploy
+ date="2015.08.20.08:19:53"
+ outputDirectory="C:/cygwin64/home/Mark/atari800_fpga/atari_800xl/eclaireXL/build_A2EBA/serial_loader/">
+ <perimeter>
+  <parameter
+     name="AUTO_GENERATION_ID"
+     type="Integer"
+     defaultValue="0"
+     onHdl="0"
+     affectsHdl="1" />
+  <parameter
+     name="AUTO_UNIQUE_ID"
+     type="String"
+     defaultValue=""
+     onHdl="0"
+     affectsHdl="1" />
+  <parameter
+     name="AUTO_DEVICE_FAMILY"
+     type="String"
+     defaultValue="Cyclone V"
+     onHdl="0"
+     affectsHdl="1" />
+  <parameter
+     name="AUTO_DEVICE"
+     type="String"
+     defaultValue="5CEBA2F23C8"
+     onHdl="0"
+     affectsHdl="1" />
+  <parameter
+     name="AUTO_DEVICE_SPEEDGRADE"
+     type="String"
+     defaultValue="8"
+     onHdl="0"
+     affectsHdl="1" />
+  <interface name="noe_in" kind="conduit" start="0">
+   <property name="associatedClock" value="" />
+   <property name="associatedReset" value="" />
+   <port name="noe_in" direction="input" role="noe" width="1" />
+  </interface>
+ </perimeter>
+ <entity
+   path=""
+   parameterizationKey="serial_loader:1.0:AUTO_DEVICE=5CEBA2F23C8,AUTO_DEVICE_FAMILY=Cyclone V,AUTO_DEVICE_SPEEDGRADE=8,AUTO_GENERATION_ID=1440051592,AUTO_UNIQUE_ID=(altera_serial_flash_loader:15.0:ENABLE_QUAD_SPI_SUPPORT=true,ENABLE_SHARED_ACCESS=OFF,ENHANCED_MODE=true,INTENDED_DEVICE_FAMILY=Cyclone V,NCSO_WIDTH=1,gui_shared_access=false)"
+   instancePathKey="serial_loader"
+   kind="serial_loader"
+   version="1.0"
+   name="serial_loader">
+  <parameter name="AUTO_GENERATION_ID" value="1440051592" />
+  <parameter name="AUTO_DEVICE" value="5CEBA2F23C8" />
+  <parameter name="AUTO_DEVICE_FAMILY" value="Cyclone V" />
+  <parameter name="AUTO_UNIQUE_ID" value="" />
+  <parameter name="AUTO_DEVICE_SPEEDGRADE" value="8" />
+  <generatedFiles>
+   <file
+       path="C:/cygwin64/home/Mark/atari800_fpga/atari_800xl/eclaireXL/build_A2EBA/serial_loader/synthesis/serial_loader.v"
+       type="VERILOG" />
+  </generatedFiles>
+  <childGeneratedFiles>
+   <file
+       path="C:/cygwin64/home/Mark/atari800_fpga/atari_800xl/eclaireXL/build_A2EBA/serial_loader/synthesis/submodules/altera_serial_flash_loader.v"
+       type="VERILOG"
+       attributes="" />
+  </childGeneratedFiles>
+  <sourceFiles>
+   <file
+       path="C:/cygwin64/home/Mark/atari800_fpga/atari_800xl/eclaireXL/build_A2EBA/serial_loader.qsys" />
+  </sourceFiles>
+  <childSourceFiles>
+   <file
+       path="C:/altera/15.0/ip/altera/altera_serial_flash_loader/altera_serial_flash_loader_hw.tcl" />
+  </childSourceFiles>
+  <messages>
+   <message level="Debug" culprit="serial_loader">queue size: 0 starting:serial_loader "serial_loader"</message>
+   <message level="Progress" culprit="min"></message>
+   <message level="Progress" culprit="max"></message>
+   <message level="Progress" culprit="current"></message>
+   <message level="Debug">Transform: CustomInstructionTransform</message>
+   <message level="Debug">No custom instruction connections, skipping transform </message>
+   <message level="Debug" culprit="merlin_custom_instruction_transform"><![CDATA[After transform: <b>1</b> modules, <b>0</b> connections]]></message>
+   <message level="Debug">Transform: MMTransform</message>
+   <message level="Debug">Transform: InterruptMapperTransform</message>
+   <message level="Debug">Transform: InterruptSyncTransform</message>
+   <message level="Debug">Transform: InterruptFanoutTransform</message>
+   <message level="Debug">Transform: AvalonStreamingTransform</message>
+   <message level="Debug">Transform: ResetAdaptation</message>
+   <message level="Debug" culprit="serial_loader"><![CDATA["<b>serial_loader</b>" reuses <b>altera_serial_flash_loader</b> "<b>submodules/altera_serial_flash_loader</b>"]]></message>
+   <message level="Debug" culprit="serial_loader">queue size: 0 starting:altera_serial_flash_loader "submodules/altera_serial_flash_loader"</message>
+   <message level="Info" culprit="serial_flash_loader_0">generating top-level entity altera_serial_flash_loader</message>
+   <message level="Info" culprit="serial_flash_loader_0"><![CDATA["<b>serial_loader</b>" instantiated <b>altera_serial_flash_loader</b> "<b>serial_flash_loader_0</b>"]]></message>
+  </messages>
+ </entity>
+ <entity
+   path="submodules/"
+   parameterizationKey="altera_serial_flash_loader:15.0:ENABLE_QUAD_SPI_SUPPORT=true,ENABLE_SHARED_ACCESS=OFF,ENHANCED_MODE=true,INTENDED_DEVICE_FAMILY=Cyclone V,NCSO_WIDTH=1,gui_shared_access=false"
+   instancePathKey="serial_loader:.:serial_flash_loader_0"
+   kind="altera_serial_flash_loader"
+   version="15.0"
+   name="altera_serial_flash_loader">
+  <parameter name="ENABLE_SHARED_ACCESS" value="OFF" />
+  <parameter name="ENABLE_QUAD_SPI_SUPPORT" value="true" />
+  <parameter name="ENHANCED_MODE" value="true" />
+  <parameter name="gui_shared_access" value="false" />
+  <parameter name="NCSO_WIDTH" value="1" />
+  <parameter name="INTENDED_DEVICE_FAMILY" value="Cyclone V" />
+  <generatedFiles>
+   <file
+       path="C:/cygwin64/home/Mark/atari800_fpga/atari_800xl/eclaireXL/build_A2EBA/serial_loader/synthesis/submodules/altera_serial_flash_loader.v"
+       type="VERILOG"
+       attributes="" />
+  </generatedFiles>
+  <childGeneratedFiles/>
+  <sourceFiles>
+   <file
+       path="C:/altera/15.0/ip/altera/altera_serial_flash_loader/altera_serial_flash_loader_hw.tcl" />
+  </sourceFiles>
+  <childSourceFiles/>
+  <instantiator instantiator="serial_loader" as="serial_flash_loader_0" />
+  <messages>
+   <message level="Debug" culprit="serial_loader">queue size: 0 starting:altera_serial_flash_loader "submodules/altera_serial_flash_loader"</message>
+   <message level="Info" culprit="serial_flash_loader_0">generating top-level entity altera_serial_flash_loader</message>
+   <message level="Info" culprit="serial_flash_loader_0"><![CDATA["<b>serial_loader</b>" instantiated <b>altera_serial_flash_loader</b> "<b>serial_flash_loader_0</b>"]]></message>
+  </messages>
+ </entity>
+</deploy>

Property changes on: eclaireXL/serial_loader/serial_loader.xml
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader_bb.v
===================================================================
--- eclaireXL/serial_loader/serial_loader_bb.v	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader_bb.v	(revision 404)
@@ -0,0 +1,6 @@
+
+module serial_loader (
+	noe_in);	
+
+	input		noe_in;
+endmodule

Property changes on: eclaireXL/serial_loader/serial_loader_bb.v
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader_generation.rpt
===================================================================
--- eclaireXL/serial_loader/serial_loader_generation.rpt	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader_generation.rpt	(revision 404)
@@ -0,0 +1,29 @@
+Info: Starting: Create block symbol file (.bsf)
+Info: qsys-generate C:\cygwin64\home\Mark\atari800_fpga\atari_800xl\eclaireXL\build_A2EBA\serial_loader.qsys --block-symbol-file --output-directory=C:\cygwin64\home\Mark\atari800_fpga\atari_800xl\eclaireXL\build_A2EBA\serial_loader --family="Cyclone V" --part=5CEBA2F23C8
+Progress: Loading build_A2EBA/serial_loader.qsys
+Progress: Reading input file
+Progress: Adding serial_flash_loader_0 [altera_serial_flash_loader 15.0]
+Progress: Parameterizing module serial_flash_loader_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+Info: ip-generate succeeded.
+Info: Finished: Create block symbol file (.bsf)
+Info: 
+Info: Starting: Create HDL design files for synthesis
+Info: qsys-generate C:\cygwin64\home\Mark\atari800_fpga\atari_800xl\eclaireXL\build_A2EBA\serial_loader.qsys --synthesis=VERILOG --output-directory=C:\cygwin64\home\Mark\atari800_fpga\atari_800xl\eclaireXL\build_A2EBA\serial_loader\synthesis --family="Cyclone V" --part=5CEBA2F23C8
+Progress: Loading build_A2EBA/serial_loader.qsys
+Progress: Reading input file
+Progress: Adding serial_flash_loader_0 [altera_serial_flash_loader 15.0]
+Progress: Parameterizing module serial_flash_loader_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+Info: serial_loader: Generating serial_loader "serial_loader" for QUARTUS_SYNTH
+Info: serial_flash_loader_0: generating top-level entity altera_serial_flash_loader
+Info: serial_flash_loader_0: "serial_loader" instantiated altera_serial_flash_loader "serial_flash_loader_0"
+Info: serial_loader: Done "serial_loader" with 2 modules, 2 files
+Info: ip-generate succeeded.
+Info: Finished: Create HDL design files for synthesis

Property changes on: eclaireXL/serial_loader/serial_loader_generation.rpt
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader_inst.v
===================================================================
--- eclaireXL/serial_loader/serial_loader_inst.v	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader_inst.v	(revision 404)
@@ -0,0 +1,4 @@
+	serial_loader u0 (
+		.noe_in (<connected-to-noe_in>)  // noe_in.noe
+	);
+

Property changes on: eclaireXL/serial_loader/serial_loader_inst.v
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/serial_loader_inst.vhd
===================================================================
--- eclaireXL/serial_loader/serial_loader_inst.vhd	(nonexistent)
+++ eclaireXL/serial_loader/serial_loader_inst.vhd	(revision 404)
@@ -0,0 +1,11 @@
+	component serial_loader is
+		port (
+			noe_in : in std_logic := 'X'  -- noe
+		);
+	end component serial_loader;
+
+	u0 : component serial_loader
+		port map (
+			noe_in => CONNECTED_TO_noe_in  -- noe_in.noe
+		);
+

Property changes on: eclaireXL/serial_loader/serial_loader_inst.vhd
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/synthesis/serial_loader.debuginfo
===================================================================
--- eclaireXL/serial_loader/synthesis/serial_loader.debuginfo	(nonexistent)
+++ eclaireXL/serial_loader/synthesis/serial_loader.debuginfo	(revision 404)
@@ -0,0 +1,286 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<EnsembleReport name="serial_loader" kind="system" version="15.0" fabric="QSYS">
+ <!-- Format version 15.0 153 (Future versions may contain additional information.) -->
+ <!-- 2015.08.20.08:19:53 -->
+ <!-- A collection of modules and connections -->
+ <parameter name="clockCrossingAdapter">
+  <type>com.altera.sopcmodel.ensemble.EClockAdapter</type>
+  <value>HANDSHAKE</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="device">
+  <type>java.lang.String</type>
+  <value>5CEBA2F23C8</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="deviceFamily">
+  <type>java.lang.String</type>
+  <value>CYCLONEV</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="deviceSpeedGrade">
+  <type>java.lang.String</type>
+  <value>8</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="fabricMode">
+  <type>com.altera.sopcmodel.ensemble.Ensemble$EFabricMode</type>
+  <value>QSYS</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="generateLegacySim">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="generationId">
+  <type>int</type>
+  <value>1440051592</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="globalResetBus">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="hdlLanguage">
+  <type>com.altera.entityinterfaces.moduleext.IModuleGenerateHDL$HDLLanguage</type>
+  <value>VERILOG</value>
+  <derived>false</derived>
+  <enabled>false</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="hideFromIPCatalog">
+  <type>boolean</type>
+  <value>true</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="lockedInterfaceDefinition">
+  <type>com.altera.sopcmodel.definition.BoundaryDefinition</type>
+  <value></value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="maxAdditionalLatency">
+  <type>int</type>
+  <value>1</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>true</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="projectName">
+  <type>java.lang.String</type>
+  <value></value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="sopcBorderPoints">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="systemHash">
+  <type>long</type>
+  <value>0</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="testBenchDutName">
+  <type>java.lang.String</type>
+  <value></value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="timeStamp">
+  <type>long</type>
+  <value>0</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <parameter name="useTestBenchNamingPattern">
+  <type>boolean</type>
+  <value>false</value>
+  <derived>false</derived>
+  <enabled>true</enabled>
+  <visible>false</visible>
+  <valid>true</valid>
+ </parameter>
+ <module
+   name="serial_flash_loader_0"
+   kind="altera_serial_flash_loader"
+   version="15.0"
+   path="serial_flash_loader_0">
+  <!-- Describes a single module. Module parameters are
+the requested settings for a module instance. -->
+  <parameter name="INTENDED_DEVICE_FAMILY">
+   <type>java.lang.String</type>
+   <value>CYCLONEV</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>false</visible>
+   <valid>true</valid>
+   <sysinfo_type>DEVICE_FAMILY</sysinfo_type>
+  </parameter>
+  <parameter name="gui_shared_access">
+   <type>boolean</type>
+   <value>false</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="ENHANCED_MODE">
+   <type>boolean</type>
+   <value>true</value>
+   <derived>false</derived>
+   <enabled>false</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="ENABLE_SHARED_ACCESS">
+   <type>java.lang.String</type>
+   <value>OFF</value>
+   <derived>true</derived>
+   <enabled>true</enabled>
+   <visible>false</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="ENABLE_QUAD_SPI_SUPPORT">
+   <type>boolean</type>
+   <value>true</value>
+   <derived>true</derived>
+   <enabled>true</enabled>
+   <visible>false</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="NCSO_WIDTH">
+   <type>int</type>
+   <value>1</value>
+   <derived>true</derived>
+   <enabled>true</enabled>
+   <visible>false</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="deviceFamily">
+   <type>java.lang.String</type>
+   <value>UNKNOWN</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <parameter name="generateLegacySim">
+   <type>boolean</type>
+   <value>false</value>
+   <derived>false</derived>
+   <enabled>true</enabled>
+   <visible>true</visible>
+   <valid>true</valid>
+  </parameter>
+  <interface name="noe_in" kind="conduit_end" version="15.0">
+   <!-- The connection points exposed by a module instance for the
+particular module parameters. Connection points and their
+parameters are a RESULT of the module parameters. -->
+   <parameter name="associatedClock">
+    <type>java.lang.String</type>
+    <value></value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="associatedReset">
+    <type>java.lang.String</type>
+    <value></value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="deviceFamily">
+    <type>java.lang.String</type>
+    <value>UNKNOWN</value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <parameter name="generateLegacySim">
+    <type>boolean</type>
+    <value>false</value>
+    <derived>false</derived>
+    <enabled>true</enabled>
+    <visible>true</visible>
+    <valid>true</valid>
+   </parameter>
+   <type>conduit</type>
+   <isStart>false</isStart>
+   <port>
+    <name>noe_in</name>
+    <direction>Input</direction>
+    <width>1</width>
+    <role>noe</role>
+   </port>
+  </interface>
+ </module>
+ <plugin>
+  <instanceCount>1</instanceCount>
+  <name>altera_serial_flash_loader</name>
+  <type>com.altera.entityinterfaces.IElementClass</type>
+  <subtype>com.altera.entityinterfaces.IModule</subtype>
+  <displayName>Altera Serial Flash Loader</displayName>
+  <version>15.0</version>
+ </plugin>
+ <plugin>
+  <instanceCount>1</instanceCount>
+  <name>conduit_end</name>
+  <type>com.altera.entityinterfaces.IElementClass</type>
+  <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
+  <displayName>Conduit</displayName>
+  <version>15.0</version>
+ </plugin>
+ <reportVersion>15.0 153</reportVersion>
+ <uniqueIdentifier>7C7A91040ECF0000014F49C380DA</uniqueIdentifier>
+</EnsembleReport>

Property changes on: eclaireXL/serial_loader/synthesis/serial_loader.debuginfo
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/synthesis/serial_loader.qip
===================================================================
--- eclaireXL/serial_loader/synthesis/serial_loader.qip	(nonexistent)
+++ eclaireXL/serial_loader/synthesis/serial_loader.qip	(revision 404)
@@ -0,0 +1,40 @@
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_TOOL_NAME "Qsys"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_TOOL_VERSION "15.0"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_TOOL_ENV "Qsys"
+set_global_assignment -library "serial_loader" -name SOPCINFO_FILE [file join $::quartus(qip_path) "../../serial_loader.sopcinfo"]
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name SLD_INFO "QSYS_NAME serial_loader HAS_SOPCINFO 1 GENERATION_ID 1440051592"
+set_global_assignment -library "serial_loader" -name MISC_FILE [file join $::quartus(qip_path) "../serial_loader.cmp"]
+set_global_assignment -library "serial_loader" -name SLD_FILE [file join $::quartus(qip_path) "serial_loader.debuginfo"]
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_TARGETED_DEVICE_FAMILY "Cyclone V"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_GENERATED_DEVICE_FAMILY "{Cyclone V}"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_QSYS_MODE "STANDALONE"
+set_global_assignment -name SYNTHESIS_ONLY_QIP ON
+set_global_assignment -library "serial_loader" -name MISC_FILE [file join $::quartus(qip_path) "../../serial_loader.qsys"]
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_NAME "c2VyaWFsX2xvYWRlcg=="
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_DISPLAY_NAME "c2VyaWFsX2xvYWRlcg=="
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_REPORT_HIERARCHY "On"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_INTERNAL "Off"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_VERSION "MS4w"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "QVVUT19HRU5FUkFUSU9OX0lE::MTQ0MDA1MTU5Mg==::QXV0byBHRU5FUkFUSU9OX0lE"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "QVVUT19ERVZJQ0VfRkFNSUxZ::Q3ljbG9uZSBW::QXV0byBERVZJQ0VfRkFNSUxZ"
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "QVVUT19ERVZJQ0U=::NUNFQkEyRjIzQzg=::QXV0byBERVZJQ0U="
+set_global_assignment -entity "serial_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "QVVUT19ERVZJQ0VfU1BFRURHUkFERQ==::OA==::QXV0byBERVZJQ0VfU1BFRURHUkFERQ=="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_NAME "YWx0ZXJhX3NlcmlhbF9mbGFzaF9sb2FkZXI="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_DISPLAY_NAME "QWx0ZXJhIFNlcmlhbCBGbGFzaCBMb2FkZXI="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_REPORT_HIERARCHY "Off"
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_INTERNAL "Off"
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_AUTHOR "QWx0ZXJhIENvcnBvcmF0aW9u"
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_VERSION "MTUuMA=="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_DESCRIPTION "VGhlIEFsdGVyYSBTZXJpYWwgRmxhc2ggTG9hZGVyIG1lZ2FmdW5jdGlvbiBwcm92aWRlcyBhIGJyaWRnZSB0aGF0IGFsbG93cyAgaW4tc3lzdGVtIEpUQUcgcHJvZ3JhbW1pbmcgbWV0aG9kIGZvciBzZXJpYWwgY29uZmlndXJhdGlvbiBkZXZpY2VzLg=="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "SU5URU5ERURfREVWSUNFX0ZBTUlMWQ==::Q3ljbG9uZSBW::SU5URU5ERURfREVWSUNFX0ZBTUlMWQ=="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "Z3VpX3NoYXJlZF9hY2Nlc3M=::ZmFsc2U=::U2hhcmUgQVNNSSBpbnRlcmZhY2Ugd2l0aCB5b3VyIGRlc2lnbg=="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "RU5BQkxFX1NIQVJFRF9BQ0NFU1M=::T0ZG::RU5BQkxFX1NIQVJFRF9BQ0NFU1M="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "RU5BQkxFX1FVQURfU1BJX1NVUFBPUlQ=::dHJ1ZQ==::RU5BQkxFX1FVQURfU1BJX1NVUFBPUlQ="
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_COMPONENT_PARAMETER "TkNTT19XSURUSA==::MQ==::TkNTT19XSURUSA=="
+
+set_global_assignment -library "serial_loader" -name VERILOG_FILE [file join $::quartus(qip_path) "serial_loader.v"]
+set_global_assignment -library "serial_loader" -name VERILOG_FILE [file join $::quartus(qip_path) "submodules/altera_serial_flash_loader.v"]
+
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_TOOL_NAME "altera_serial_flash_loader"
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_TOOL_VERSION "15.0"
+set_global_assignment -entity "altera_serial_flash_loader" -library "serial_loader" -name IP_TOOL_ENV "Qsys"

Property changes on: eclaireXL/serial_loader/synthesis/serial_loader.qip
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/synthesis/serial_loader.v
===================================================================
--- eclaireXL/serial_loader/synthesis/serial_loader.v	(nonexistent)
+++ eclaireXL/serial_loader/synthesis/serial_loader.v	(revision 404)
@@ -0,0 +1,20 @@
+// serial_loader.v
+
+// Generated using ACDS version 15.0 153
+
+`timescale 1 ps / 1 ps
+module serial_loader (
+		input  wire  noe_in  // noe_in.noe
+	);
+
+	altera_serial_flash_loader #(
+		.INTENDED_DEVICE_FAMILY  ("Cyclone V"),
+		.ENHANCED_MODE           (1),
+		.ENABLE_SHARED_ACCESS    ("OFF"),
+		.ENABLE_QUAD_SPI_SUPPORT (1),
+		.NCSO_WIDTH              (1)
+	) serial_flash_loader_0 (
+		.noe_in (noe_in)  // noe_in.noe
+	);
+
+endmodule

Property changes on: eclaireXL/serial_loader/synthesis/serial_loader.v
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: eclaireXL/serial_loader/synthesis/submodules/altera_serial_flash_loader.v
===================================================================
--- eclaireXL/serial_loader/synthesis/submodules/altera_serial_flash_loader.v	(nonexistent)
+++ eclaireXL/serial_loader/synthesis/submodules/altera_serial_flash_loader.v	(revision 404)
@@ -0,0 +1,157 @@
+// (C) 2001-2015 Altera Corporation. All rights reserved.
+// Your use of Altera Corporation's design tools, logic functions and other 
+// software and tools, and its AMPP partner logic functions, and any output 
+// files any of the foregoing (including device programming or simulation 
+// files), and any associated documentation or information are expressly subject 
+// to the terms and conditions of the Altera Program License Subscription 
+// Agreement, Altera MegaCore Function License Agreement, or other applicable 
+// license agreement, including, without limitation, that your use is for the 
+// sole purpose of programming logic devices manufactured by Altera and sold by 
+// Altera or its authorized distributors.  Please refer to the applicable 
+// agreement for further details.
+
+
+//Copyright (C) 1991-2014 Altera Corporation
+
+//Your use of Altera Corporation's design tools, logic functions 
+
+//and other software and tools, and its AMPP partner logic 
+
+//functions, and any output files from any of the foregoing 
+
+//(including device programming or simulation files), and any 
+
+//associated documentation or information are expressly subject 
+
+//to the terms and conditions of the Altera Program License 
+
+//Subscription Agreement, Altera MegaCore Function License 
+
+//Agreement, or other applicable license agreement, including, 
+
+//without limitation, that your use is for the sole purpose of 
+
+//programming logic devices manufactured by Altera and sold by 
+
+//Altera or its authorized distributors.  Please refer to the 
+
+//applicable agreement for further details.
+
+
+
+module altera_serial_flash_loader (
+
+	asmi_access_granted,
+
+	asdo_in,
+
+	data_in,
+
+	data_oe,
+
+	dclk_in,
+
+	ncso_in,
+
+	noe_in,
+
+	asmi_access_request,
+
+	data0_out,
+
+	data_out);
+
+
+
+	parameter
+
+		ENABLE_QUAD_SPI_SUPPORT = 1,
+
+		ENABLE_SHARED_ACCESS = "ON",
+
+		ENHANCED_MODE = 1,
+
+		INTENDED_DEVICE_FAMILY = "Arria 10",
+
+		NCSO_WIDTH = 3;
+
+		
+
+	input	asmi_access_granted;
+
+	input	asdo_in;
+
+	input	[3:0]  data_in;
+
+	input	[3:0]  data_oe;
+
+	input	dclk_in;
+
+	input	[NCSO_WIDTH-1:0]  ncso_in;
+
+	input	noe_in;
+
+	output	asmi_access_request;
+
+	output	data0_out;
+
+	output	[3:0]  data_out;
+
+
+
+	wire	sub_wire0;
+
+	wire	sub_wire1;
+
+	wire	[3:0] sub_wire2;
+
+	wire	asmi_access_request = sub_wire0;
+
+	wire	data0_out = sub_wire1;
+
+	wire	[3:0] data_out = sub_wire2[3:0];
+
+
+
+	altserial_flash_loader	altserial_flash_loader_component (
+
+				.asmi_access_granted (asmi_access_granted),
+
+				.data_in (data_in),
+
+				.data_oe (data_oe),
+
+				.dclkin (dclk_in),
+
+				.noe (noe_in),
+
+				.scein (ncso_in),
+
+				.asmi_access_request (sub_wire0),
+
+				.data_out (sub_wire2),
+
+				.data0out (sub_wire1),
+
+				.sdoin (asdo_in)
+
+				);
+
+	defparam
+
+		altserial_flash_loader_component.enable_quad_spi_support = ENABLE_QUAD_SPI_SUPPORT,
+
+		altserial_flash_loader_component.enable_shared_access = ENABLE_SHARED_ACCESS,
+
+		altserial_flash_loader_component.enhanced_mode = ENHANCED_MODE,
+
+		altserial_flash_loader_component.intended_device_family = INTENDED_DEVICE_FAMILY,
+
+		altserial_flash_loader_component.ncso_width = NCSO_WIDTH;
+
+
+
+
+
+endmodule
+

Property changes on: eclaireXL/serial_loader/synthesis/submodules/altera_serial_flash_loader.v
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
